# $Revision: 1.17 $, $Date: 2007-12-01 12:43:31 $
%define	_lang	de
%define	_reg	AT
%define	_lare	%{_lang}-%{_reg}
Summary:	German resources for SeaMonkey
Summary(pl.UTF-8):	Niemieckie pliki językowe dla SeaMonkeya
Name:		seamonkey-lang-%{_lang}
Version:	1.1.7
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	http://releases.mozilla.org/pub/mozilla.org/seamonkey/releases/%{version}/contrib-localized/seamonkey-%{version}.%{_lare}.langpack.xpi
# Source0-md5:	4d519f0025acaa5e53f85c31fe089516
Source1:	http://www.mozilla-enigmail.org/downloads/lang/0.9x/enigmail-%{_lang}-0.9x.xpi
# Source1-md5:	7b363f97e6873f44c835735a7b02620f
Source2:	gen-installed-chrome.sh
URL:		http://www.mozilla.org/projects/seamonkey/
BuildRequires:	unzip
Requires(post,postun):	seamonkey >= %{version}
Requires(post,postun):	textutils
Requires:	seamonkey >= %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_chromedir	%{_datadir}/seamonkey/chrome

%description
German resources for SeaMonkey.

%description -l pl.UTF-8
Niemieckie pliki językowe dla SeaMonkeya.

%prep
%setup -q -c
%{__unzip} -o -qq %{SOURCE1}
install %{SOURCE2} .
./gen-installed-chrome.sh locale chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-DE}.jar \
	> lang-%{_lang}-installed-chrome.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

install chrome/{%{_reg},%{_lare},%{_lang}-unix,enigmail-DE}.jar $RPM_BUILD_ROOT%{_chromedir}
install lang-%{_lang}-installed-chrome.txt $RPM_BUILD_ROOT%{_chromedir}
cp -r defaults dictionaries searchplugins $RPM_BUILD_ROOT%{_datadir}/seamonkey
rm $RPM_BUILD_ROOT%{_datadir}/seamonkey/dictionaries/LICENSE.TXT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/seamonkey-chrome+xpcom-generate

%postun
%{_sbindir}/seamonkey-chrome+xpcom-generate

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_reg}.jar
%{_chromedir}/%{_lare}.jar
%{_chromedir}/%{_lang}-unix.jar
%{_chromedir}/enigmail-DE.jar
%{_chromedir}/lang-%{_lang}-installed-chrome.txt
%{_datadir}/seamonkey/searchplugins/*
%{_datadir}/seamonkey/defaults/messenger/%{_reg}
%{_datadir}/seamonkey/defaults/profile/%{_reg}
%{_datadir}/seamonkey/dictionaries/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: seamonkey-lang-de.spec,v $
Revision 1.17  2007-12-01 12:43:31  qboosh
- updated to 1.1.7

Revision 1.16  2007-11-17 10:59:47  qboosh
- proper License (MPL 1.1/GPL v2+/LGPL v2.1+)

Revision 1.15  2007-11-17 10:54:10  qboosh
- updated to 1.1.6

Revision 1.14  2007-10-21 12:10:50  hawk
- updated to 1.1.5

Revision 1.13  2007/06/01 16:54:01  qboosh
- merged update to 1.1.2 (from AC-branch, by hawk)

Revision 1.12  2007/03/11 09:34:50  qboosh
- really updated

Revision 1.11  2007/03/11 09:30:44  qboosh
- updated to 1.1.1

Revision 1.10  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.8  2007/01/22 21:29:13  hawk
- updated to 1.1

Revision 1.7  2006/11/15 10:58:25  qboosh
- updated to 1.0.6

Revision 1.6  2006/07/31 15:14:39  sparky
- use macros

Revision 1.5  2006/07/31 14:08:42  sparky
- up to 1.0.3

Revision 1.4  2006/04/17 20:06:04  sparky
- use %setup to unpack Source0

Revision 1.3  2006/04/17 17:40:30  sparky
- added enigmail translation

Revision 1.2  2006/04/16 18:49:41  sparky
- remove LICENSE.TXT (GPLv2), and prevents file conflicts

Revision 1.1  2006/04/16 18:47:31  sparky
- NEW, builds and works, myspell not tested
